API
LinkedIn API
领英拥有近13亿会员,使用个人资料、公司页面、帖子、职位和专业知识,因此在B2B市场营销、招聘、执行人员可见性和潜在客户生成中至关重要。
API 参考 版本: 1.0.0 9 终端 身份验证
基本网址
https://api.pressmonitor.com 身份验证
所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/activity-time 活动时间
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| linkedin_url | string | query | 是 | Linkedin URL |
代码示例
curl -X GET "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/activity-time?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/activity-time?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/company 公司
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| linkedin_url | string | query | 是 | Linkedin URL |
代码示例
curl -X GET "https://api.pressmonitor.com/company?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/company?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/company?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/company?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/company?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/company?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/company-posts 公司帖子
代码示例
curl -X GET "https://api.pressmonitor.com/company-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/company-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/company-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/company-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/company-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/company-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/companyby-domain 按域名查询公司
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| domain | string | query | 是 | 域名 |
代码示例
curl -X GET "https://api.pressmonitor.com/companyby-domain?domain=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/companyby-domain?domain=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/companyby-domain?domain=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/companyby-domain?domain=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/companyby-domain?domain=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/companyby-domain?domain=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/get-posts 获取帖子
代码示例
curl -X GET "https://api.pressmonitor.com/get-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/get-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/get-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/get-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/get-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/get-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/posts 帖子
代码示例
curl -X GET "https://api.pressmonitor.com/posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/profile 个人资料
代码示例
curl -X GET "https://api.pressmonitor.com/profile" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/profile", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/profile", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/profile");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/profile", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/profile")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/sales-nav-profile 销售导航个人资料
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| linkedin_url | string | query | 是 | Linkedin URL |
代码示例
curl -X GET "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/sales-nav-profile?linkedin_url=VALUE")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功
GET
/search-posts 搜索帖子
代码示例
curl -X GET "https://api.pressmonitor.com/search-posts" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" import requests
headers = {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
response = requests.get("https://api.pressmonitor.com/search-posts", headers=headers)
print(response.json()) fetch("https://api.pressmonitor.com/search-posts", {
method: "GET",
headers: {"Authorization": "Bearer YOUR_API_KEY", "x-subscription-id": "YOUR_SUB_ID"}
})
.then(r => r.json())
.then(console.log); $ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.pressmonitor.com/search-posts");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer YOUR_API_KEY", "x-subscription-id: YOUR_SUB_ID"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response; package main
import (
"fmt"
"net/http"
"io"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.pressmonitor.com/search-posts", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_KEY")
req.Header.Set("x-subscription-id", "YOUR_SUB_ID")
resp, _ := http.DefaultClient.Do(req)
body, _ := io.ReadAll(resp.Body)
resp.Body.Close()
fmt.Println(string(body))
} require 'net/http'
uri = URI("https://api.pressmonitor.com/search-posts")
req = Net::HTTP::.new(uri)
req["Authorization"] = "Bearer YOUR_API_KEY"
req["x-subscription-id"] = "YOUR_SUB_ID"
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts res.body 响应
200 成功